<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::tooltip Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1tooltip.html">tooltip</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1tooltip-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::tooltip Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::tooltip:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1tooltip.png" usemap="#dlib::tooltip_map" alt=""/>
  <map id="dlib::tooltip_map" name="dlib::tooltip_map">
<area href="classdlib_1_1mouse__over__event.html" alt="dlib::mouse_over_event" shape="rect" coords="0,56,145,80"/>
<area href="classdlib_1_1drawable.html" alt="dlib::drawable" shape="rect" coords="0,0,145,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1tooltip_1_1data.html">data</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1tooltip_1_1tooltip__window.html">tooltip_window</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afbe7e0ce7756bdb2caa12853f195f5e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1tooltip.html#afbe7e0ce7756bdb2caa12853f195f5e1">tooltip</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w)</td></tr>
<tr class="separator:afbe7e0ce7756bdb2caa12853f195f5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b5cb04c87adfb9aa7805b7ea14cd1be"><td class="memItemLeft" align="right" valign="top"><a id="a8b5cb04c87adfb9aa7805b7ea14cd1be"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (unsigned long width, unsigned long height)</td></tr>
<tr class="separator:a8b5cb04c87adfb9aa7805b7ea14cd1be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeef75104d170017e86719941a0ea3aa"><td class="memItemLeft" align="right" valign="top"><a id="aeeef75104d170017e86719941a0ea3aa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_text</b> (const std::string &amp;str)</td></tr>
<tr class="separator:aeeef75104d170017e86719941a0ea3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3152b99fe90fb1ecc4bbe2165e9fe3e9"><td class="memItemLeft" align="right" valign="top"><a id="a3152b99fe90fb1ecc4bbe2165e9fe3e9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_text</b> (const std::wstring &amp;str)</td></tr>
<tr class="separator:a3152b99fe90fb1ecc4bbe2165e9fe3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646b71ed4b4f25ac41a545c0cbde9b0d"><td class="memItemLeft" align="right" valign="top"><a id="a646b71ed4b4f25ac41a545c0cbde9b0d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_text</b> (const ustring &amp;str)</td></tr>
<tr class="separator:a646b71ed4b4f25ac41a545c0cbde9b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf3b8feef01f8bccfc3aefda6fd665d0"><td class="memItemLeft" align="right" valign="top"><a id="adf3b8feef01f8bccfc3aefda6fd665d0"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>text</b> () const</td></tr>
<tr class="separator:adf3b8feef01f8bccfc3aefda6fd665d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9df29a364f0718059d9a053462af94d"><td class="memItemLeft" align="right" valign="top"><a id="af9df29a364f0718059d9a053462af94d"></a>
const std::wstring&#160;</td><td class="memItemRight" valign="bottom"><b>wtext</b> () const</td></tr>
<tr class="separator:af9df29a364f0718059d9a053462af94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86920fbd804d6a3602eafa08f40365ee"><td class="memItemLeft" align="right" valign="top"><a id="a86920fbd804d6a3602eafa08f40365ee"></a>
const dlib::ustring&#160;</td><td class="memItemRight" valign="bottom"><b>utext</b> () const</td></tr>
<tr class="separator:a86920fbd804d6a3602eafa08f40365ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5e413055d689ede1ba1ed5bb9d28279"><td class="memItemLeft" align="right" valign="top"><a id="ab5e413055d689ede1ba1ed5bb9d28279"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>hide</b> ()</td></tr>
<tr class="separator:ab5e413055d689ede1ba1ed5bb9d28279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a810267901011b7af00c68529c6235eed"><td class="memItemLeft" align="right" valign="top"><a id="a810267901011b7af00c68529c6235eed"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disable</b> ()</td></tr>
<tr class="separator:a810267901011b7af00c68529c6235eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1mouse__over__event"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1mouse__over__event')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1mouse__over__event.html">dlib::mouse_over_event</a></td></tr>
<tr class="memitem:a98de54751146d366057579357ac5a0bb inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1mouse__over__event.html#a98de54751146d366057579357ac5a0bb">mouse_over_event</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events=0)</td></tr>
<tr class="separator:a98de54751146d366057579357ac5a0bb inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a78f0d1e3415b8cb80bc09fe689dc23 inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a1a78f0d1e3415b8cb80bc09fe689dc23"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>next_free_user_event_number</b> () const</td></tr>
<tr class="separator:a1a78f0d1e3415b8cb80bc09fe689dc23 inherit pub_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaf2c3807920230e74ecbe84e98fb4ec5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>drawable</b> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events_=0)</td></tr>
<tr class="separator:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a8a6d00bd7fea303c26671198f5094675"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>z_order</b> () const</td></tr>
<tr class="separator:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a797265ad4f1f553706f9bab7f2d020ca"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_z_order</b> (long order)</td></tr>
<tr class="separator:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a03018c52aba1e5bf783f816292214311"></a>
const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_rect</b> () const</td></tr>
<tr class="separator:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a2eaed8ef49cda60e2c8543f3b9245e5a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>bottom</b> () const</td></tr>
<tr class="separator:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa6c550642726658e72af70bc35c552bc"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>top</b> () const</td></tr>
<tr class="separator:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ad80b8b9d20f5dbb5c0faa69f7badbf2e"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>left</b> () const</td></tr>
<tr class="separator:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac5c28297f9854588e8591379a03ba78c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>right</b> () const</td></tr>
<tr class="separator:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a196e6cdd2eccd24aa9ca2d7f3fe7adad"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab204119df30daf1cac93769a95610c47"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4a4452d3e639fe7e9a13d1e74a533a69"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_enabled</b> () const</td></tr>
<tr class="separator:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4fa9cb6b21ecd945101e5f0da189f4c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="af4fa9cb6b21ecd945101e5f0da189f4c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>enable</b> ()</td></tr>
<tr class="separator:af4fa9cb6b21ecd945101e5f0da189f4c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9e34959c0d0e3a4023f7c9655833cd inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aab9e34959c0d0e3a4023f7c9655833cd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_main_font</b> (const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt; &amp;f)</td></tr>
<tr class="separator:aab9e34959c0d0e3a4023f7c9655833cd inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a81968bfce5906931c912588b6b8638cb"></a>
const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>main_font</b> () const</td></tr>
<tr class="separator:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a452ba54faf5da3cd786c8c480c5f8c11"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_hidden</b> () const</td></tr>
<tr class="separator:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e23dc807f8d491d5cac06a20af348c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a10e23dc807f8d491d5cac06a20af348c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_pos</b> (long x, long y)</td></tr>
<tr class="separator:a10e23dc807f8d491d5cac06a20af348c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dccf98d453c184f1cc4594b68765fc3 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a5dccf98d453c184f1cc4594b68765fc3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()</td></tr>
<tr class="separator:a5dccf98d453c184f1cc4594b68765fc3 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac0d82ff05bcef44c93467cbf50db9d2b"></a>
<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> ()</td></tr>
<tr class="separator:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="af92f5f4489e7104d2f2f7d852ab63d5f"></a>
const <a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> () const</td></tr>
<tr class="separator:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:add23bc7d2eb2a94811f7e851ae0d4d76"><td class="memItemLeft" align="right" valign="top"><a id="add23bc7d2eb2a94811f7e851ae0d4d76"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_over</b> ()</td></tr>
<tr class="separator:add23bc7d2eb2a94811f7e851ae0d4d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00e4dd62b3c3ec152dc1d744a64283ce"><td class="memItemLeft" align="right" valign="top"><a id="a00e4dd62b3c3ec152dc1d744a64283ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_not_over</b> ()</td></tr>
<tr class="separator:a00e4dd62b3c3ec152dc1d744a64283ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4919517851792f5b823e07c2792edc5"><td class="memItemLeft" align="right" valign="top"><a id="ab4919517851792f5b823e07c2792edc5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_down</b> (unsigned long btn, unsigned long state, long x, long y, bool is_double_click)</td></tr>
<tr class="separator:ab4919517851792f5b823e07c2792edc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d1f08c33499cc2cd62e76e5a0a1446d"><td class="memItemLeft" align="right" valign="top"><a id="a5d1f08c33499cc2cd62e76e5a0a1446d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>draw</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;) const</td></tr>
<tr class="separator:a5d1f08c33499cc2cd62e76e5a0a1446d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1mouse__over__event"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1mouse__over__event')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1mouse__over__event.html">dlib::mouse_over_event</a></td></tr>
<tr class="memitem:a212a53acccf5b09c3f94f1ffee465fa4 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a212a53acccf5b09c3f94f1ffee465fa4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_mouse_over</b> () const</td></tr>
<tr class="separator:a212a53acccf5b09c3f94f1ffee465fa4 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a027846fa0855686007cfef2a83435148 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a027846fa0855686007cfef2a83435148"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_leave</b> ()</td></tr>
<tr class="separator:a027846fa0855686007cfef2a83435148 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a1894a7ad7e08576a190ae5328897e2 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a5a1894a7ad7e08576a190ae5328897e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_move</b> (unsigned long state, long x, long y)</td></tr>
<tr class="separator:a5a1894a7ad7e08576a190ae5328897e2 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d8af2a64c2ffc8445f31a58b1ae6a95 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memItemLeft" align="right" valign="top"><a id="a2d8af2a64c2ffc8445f31a58b1ae6a95"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_user_event</b> (int num)</td></tr>
<tr class="separator:a2d8af2a64c2ffc8445f31a58b1ae6a95 inherit pro_methods_classdlib_1_1mouse__over__event"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="adee9bca08d896eb22489c3cfd681d9a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>enable_events</b> ()</td></tr>
<tr class="separator:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1fbbe9d1525025a7bdee050a5f084e02"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>events_are_enabled</b> () const</td></tr>
<tr class="separator:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4ca01468d7084f30cd1209a0844f0522"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disable_events</b> ()</td></tr>
<tr class="separator:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad444b81ac7c6f126523e85261e203dbc inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ad444b81ac7c6f126523e85261e203dbc"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_resized</b> ()</td></tr>
<tr class="separator:ad444b81ac7c6f126523e85261e203dbc inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab61e2b0cb016cb1767845ffb609bec15"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_moved</b> ()</td></tr>
<tr class="separator:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a685ea4fe87b5256139238ab31467c9bb inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a685ea4fe87b5256139238ab31467c9bb"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_up</b> (unsigned long, unsigned long, long, long)</td></tr>
<tr class="separator:a685ea4fe87b5256139238ab31467c9bb inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a0a687a82017dd5ab56dbb18ed2e3edc8"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_enter</b> ()</td></tr>
<tr class="separator:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2c92eab5c03b27d400e699359a447c inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a7b2c92eab5c03b27d400e699359a447c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_up</b> (unsigned long)</td></tr>
<tr class="separator:a7b2c92eab5c03b27d400e699359a447c inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8676af8ff17af797ae11de3ec54e5599 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a8676af8ff17af797ae11de3ec54e5599"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_down</b> (unsigned long)</td></tr>
<tr class="separator:a8676af8ff17af797ae11de3ec54e5599 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a60ce944b2577b79ca6f4135f66cbb822"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_gained</b> ()</td></tr>
<tr class="separator:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aeb02825157c23d038d0ff75c90d2501c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_lost</b> ()</td></tr>
<tr class="separator:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae6fac7832cefb891c5d6ef6e9573dbd4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_keydown</b> (unsigned long, bool, unsigned long)</td></tr>
<tr class="separator:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaa58265c0f77fc0c3fe00d3321432d3f"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_string_put</b> (const std::wstring &amp;)</td></tr>
<tr class="separator:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8cc184af082ff487077ea56a8b937b83"><td class="memItemLeft" align="right" valign="top"><a id="a8cc184af082ff487077ea56a8b937b83"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>show_tooltip</b> ()</td></tr>
<tr class="separator:a8cc184af082ff487077ea56a8b937b83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a7adacd253c3abb61cde4554cc65c3"><td class="memItemLeft" align="right" valign="top"><a id="a88a7adacd253c3abb61cde4554cc65c3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>tooltip</b> (<a class="el" href="classdlib_1_1tooltip.html">tooltip</a> &amp;)</td></tr>
<tr class="separator:a88a7adacd253c3abb61cde4554cc65c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a19b1cd014e7d6706b9d9726452afbe"><td class="memItemLeft" align="right" valign="top"><a id="a7a19b1cd014e7d6706b9d9726452afbe"></a>
<a class="el" href="classdlib_1_1tooltip.html">tooltip</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1tooltip.html">tooltip</a> &amp;)</td></tr>
<tr class="separator:a7a19b1cd014e7d6706b9d9726452afbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a47b178ec2915f303b59c49a42dd2bb83"><td class="memItemLeft" align="right" valign="top"><a id="a47b178ec2915f303b59c49a42dd2bb83"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="structdlib_1_1tooltip_1_1data.html">data</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>stuff</b></td></tr>
<tr class="separator:a47b178ec2915f303b59c49a42dd2bb83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:af9e652a62fb80ff8d98294ee353271a8"><td class="memItemLeft" align="right" valign="top"><a id="af9e652a62fb80ff8d98294ee353271a8"></a>
struct&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:af9e652a62fb80ff8d98294ee353271a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aea22da8d8ad763076f9718d69c798502"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect</b></td></tr>
<tr class="separator:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab70f407d170ece5fb4e766f4c3e32d4b"></a>
const <a class="el" href="classdlib_1_1rmutex.html">rmutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa068c946f4656895ef141da7c37c5aa6"></a>
<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent</b></td></tr>
<tr class="separator:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1139fb338e681f4c53a87c59ee497618"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>hidden</b></td></tr>
<tr class="separator:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a844287f45a8d646f012eebbfba029513"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>enabled</b></td></tr>
<tr class="separator:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4178f81e3ff2046ca232f30f7c06b6a6"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lastx</b></td></tr>
<tr class="separator:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a078ba62ef935062ee59f488f81a1fff0"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lasty</b></td></tr>
<tr class="separator:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae13a66d5be88ef169fdd0977f32f2c6c"></a>
<a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mfont</b></td></tr>
<tr class="separator:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afbe7e0ce7756bdb2caa12853f195f5e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbe7e0ce7756bdb2caa12853f195f5e1">&#9670;&nbsp;</a></span>tooltip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dlib::tooltip::tooltip </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUE
    - stuff.get() == 0
    - events_are_enabled() == false

CONVENTION
    - if (events_are_enabled() == true) then
        - stuff.get() != 0
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="base__widgets_8h_source.html">base_widgets.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
